package com.kingdee.eas.hr.project;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.hr.project.app.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.IHRBillBase;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.eas.hr.base.HRBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class WorkHoursReport extends HRBillBase implements IWorkHoursReport
{
    public WorkHoursReport()
    {
        super();
        registerInterface(IWorkHoursReport.class, this);
    }
    public WorkHoursReport(Context ctx)
    {
        super(ctx);
        registerInterface(IWorkHoursReport.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("CF9DCEB1");
    }
    private WorkHoursReportController getController() throws BOSException
    {
        return (WorkHoursReportController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WorkHoursReportCollection getWorkHoursReportCollection() throws BOSException
    {
        try {
            return getController().getWorkHoursReportCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WorkHoursReportCollection getWorkHoursReportCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWorkHoursReportCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WorkHoursReportCollection getWorkHoursReportCollection(String oql) throws BOSException
    {
        try {
            return getController().getWorkHoursReportCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WorkHoursReportInfo getWorkHoursReportInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHoursReportInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WorkHoursReportInfo getWorkHoursReportInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHoursReportInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WorkHoursReportInfo getWorkHoursReportInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWorkHoursReportInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}